Bug 121194 - Nautilus should have a suid wrapper for cd-record
Nautilus should have a suid wrapper for cd-record
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 16:02 EDT by Sölvi Páll Ásgeirsson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 16:55:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sölvi Páll Ásgeirsson 2004-04-18 16:02:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
CDRecord is not suid root by default, hence some programs do not work
out of the box(such as Nautilus 2.6.0-4 Cd creator).
This may be this way for security reasons, but this might be a problem
for Joe Sixpack.


Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a27.2

How reproducible:
Always

Steps to Reproduce:
1. Run nautilus
2. Choose cd-creator
3. Try to make a cd
    

Actual Results:  Nautilus will give one a error about not being able
to write to the CD

Expected Results:  Nautilus should have burned the CD..

Additional info:

a workaround is to run chmod +s /usr/bin/cdrecord as root.
Comment 1 Alan Cox 2004-05-02 20:24:57 EDT
Not a good workaround. cdrecord would need wrapping carefully for such
things. Nautilus would I suspect need a small, non X using wrapper
that carefully fed the iso to the cd burner app and no interesting
other user provided arguments
Comment 2 Alexander Larsson 2004-05-04 11:54:37 EDT
We don't need setuid root. consolehelper should set the access rights
on the cd writer (/dev/cdwriter* as created by kudzu) so that the
console user can just use it. This used to work well. Did it break?
Comment 3 John Thacker 2006-10-29 16:55:03 EST
Closing per lack of response to previous request for information.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  Please test
this on FC5 or FC6.  If it still occurs there, please reopen and change the
version to fc5 or fc6.  Otherwise, if this is a security issue, please reassign
the bug to Fedora Legacy.  Thanks, and we apologize for not getting to this bug
earlier.

Note You need to log in before you can comment on or make changes to this bug.